/* CSS Reset */

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}

article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

/* Root */

:root {
    --primary: #3563E9;
    --secondary-500: #1A202C;
    --secondary-400: #596780;
    --secondary-300: #90A3BF;
    --information: #54A6FF;
    --footer-text: rgba(19, 19, 19, 0.6);
}

.clear {
    clear: both;
}

/* My Style */
body {
    font-size: 1.2rem;
    font-family: "Plus Jakarta Sans", sans-serif;
}

html {
    scroll-behavior: smooth;
}

input::placeholder{
    font-family: "Plus Jakarta Sans", sans-serif;
}

/* Header */

.header {
    margin: 30px 6%;
}

.header .top-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header .top-bar h1 {
    font-weight: 700;
    font-size: 2rem;
    color: var(--primary);
}

.header .top-bar .search .icon {
    scale: 0.8;
}

.header .top-bar .search .icon:hover {
    scale: 0.75;
}

.header .top-bar .icon {
    transition: 300ms;
}

.header .top-bar .icon {
    cursor: pointer;
}

.header .top-bar .search input {
    border: none;
    width: 270px;
    padding: 0 5px;
    color: var(--secondary-500);
}

.header .top-bar .search input:focus {
    outline: none;
}

.header .top-bar .profile-notification {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 220px;
}

.header .top-bar .profile-notification .icon {
    border: 1px solid var(--secondary-300);
    border-radius: 50px;
    padding: 5px;
    display: flex;
    align-items: center;
}

.header .top-bar .profile-notification .icon img {
    scale: 0.8;
}

.header .top-bar .profile-notification .icon .notification-dot {
    content: "";
    position: absolute;
    top: 37px;
    background-color: rgba(255, 68, 35, 1);
    width: 8.5px;
    height: 8.5px;
    margin-left: 20px;
    border-radius: 50%;
}

.header .top-bar .profile-notification .icon:nth-child(2) {
    border: 1px solid var(--secondary-300);
}

.header .top-bar .profile-notification .profile:hover {
    cursor: pointer;
}

/* Content */
.content {
    padding: 0 6% 0 4%;
    background-color: rgba(246, 247, 249, 1);
    overflow: hidden;
}

.container {
    display: flex;
    width: 100%;
    margin-top: 30px;
}

/* Payment */

.container .payment {
    width: 65%;
    margin-right: 20px;
}

/* Billing Info */

.container .payment .billing-info {
    background-color: #fff;
    border-radius: 10px;
    padding: 30px;
    margin-bottom: 30px;
}

.container .payment .billing-info h1 {
    font-size: 1.2rem;
    font-weight: 700;
}

.container .payment .billing-info .header {
    display: flex;
    justify-content: space-between;
    margin: 0;
    color: var(--secondary-300);
    font-size: 0.9rem;
    margin-top: 10px;
}

.container .payment .billing-info .input-field {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-top: 20px;
}

.container .payment .billing-info .input-field .row {
    width: 47%;
    margin-bottom: 20px;
}

.container .payment .billing-info .input-field .row label {
    display: block;
    font-size: 1rem;
    color: var(--secondary-500);
    font-weight: 600;
    margin-bottom: 20px;
}

.container .payment .billing-info .input-field .row input {
    width: 100%;
    border: none;
    background-color: rgba(246, 247, 249, 1);
    padding: 20px 25px;
    box-sizing: border-box;
    border-radius: 7px;
}

.container .payment .billing-info .input-field .row input:focus {
    outline: none;
}

/* Rental Info */
.container .payment .rental-info {
    background-color: #fff;
    border-radius: 10px;
    padding: 30px 30px 5px;
    margin-bottom: 30px;
}

.container .payment .rental-info h1 {
    font-size: 1.2rem;
    font-weight: 700;
}

.container .payment .rental-info .header {
    display: flex;
    justify-content: space-between;
    margin: 0;
    color: var(--secondary-300);
    font-size: 0.9rem;
    margin-top: 10px;
}

.container .payment .rental-info .input-field {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-top: 20px;
}

.container .payment .rental-info .input-field .row {
    width: 47%;
    margin-bottom: 20px;
}

.container .payment .rental-info .input-field .row label {
    display: block;
    font-size: 1rem;
    color: var(--secondary-500);
    font-weight: 600;
    margin-bottom: 20px;
}

.container .payment .rental-info .input-field .row select {
    width: 100%;
    border: none;
    background-color: rgba(246, 247, 249, 1);
    padding: 20px 25px;
    box-sizing: border-box;
    border-radius: 7px;
    font-family: "Plus Jakarta Sans", sans-serif;
    color: var(--secondary-300);
    cursor: pointer;
    -webkit-appearance: none;
}

.container .payment .rental-info .input-field .row img {
    position: relative;
    left: 90%;
    bottom: 37px;
    cursor: pointer;
}

.container .payment .rental-info .input-field .row select:focus {
    outline: none;
}

.container .payment .rental-info .mark {
    margin-bottom: -2px;
    margin-right: 5px;
}

.container .payment .rental-info p.drop {
    display: inline-block;
    font-size: 1rem;
    margin-bottom: 5px;
    color: rgba(26, 32, 44, 1);
    font-weight: 600;
}

/* Payment Method */
.container .payment .payment-method {
    background-color: #fff;
    border-radius: 10px;
    padding: 30px 30px 5px;
    margin-bottom: 30px;
}

.container .payment .payment-method h1 {
    font-size: 1.2rem;
    font-weight: 700;
}

.container .payment .payment-method .header {
    display: flex;
    justify-content: space-between;
    margin: 0;
    color: var(--secondary-300);
    font-size: 0.9rem;
    margin-top: 10px;
    margin-bottom: 20px;
}

.container .payment .payment-method .credit-card {
    background-color: rgba(246, 247, 249, 1);
    padding: 20px;
    border-radius: 10px;
    margin-bottom: 30px;
}

.container .payment .payment-method .credit-card .visa {
    float: right;
}

.container .payment .payment-method .input-field {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-top: 20px;
}

.container .payment .payment-method .input-field .row {
    width: 47%;
    margin-bottom: 20px;
}

.container .payment .payment-method .input-field .row label {
    display: block;
    font-size: 1rem;
    color: var(--secondary-500);
    font-weight: 600;
    margin-bottom: 20px;
}

.container .payment .payment-method .input-field .row input {
    width: 100%;
    border: none;
    background-color: #fff;
    padding: 20px 25px;
    box-sizing: border-box;
    border-radius: 7px;
    font-family: "Plus Jakarta Sans", sans-serif;
    color: var(--secondary-500);
    -webkit-appearance: none;
}

.container .payment .payment-method .input-field .row input:focus {
    outline: none;
}

.container .payment .payment-method .mark {
    margin-bottom: -2px;
    margin-right: 5px;
}

.container .payment .payment-method p.drop {
    display: inline-block;
    font-size: 1rem;
    margin-bottom: 5px;
    color: rgba(26, 32, 44, 1);
    font-weight: 600;
}

.container .payment .payment-method .input-field-radio {
    padding-right: 17px;
    background-color: rgba(246, 247, 249, 1);
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 10px;
    padding: 15px 0;
    margin-bottom: 15px;
}

.container .payment .payment-method .input-field-radio input {
    width: 17px;
    height: 17px;
    margin-left: 20px;
    cursor: pointer;
}

.container .payment .payment-method .input-field-radio .input label {
    font-size: 1rem;
    color: var(--secondary-500);
    font-weight: 600;
    position: relative;
    bottom: 3px;
    left: 10px;
    cursor: pointer;
}

.container .payment .payment-method .input-field-radio img {
    margin-right: 20px;
}

/* Confirmation Rental */
.container .payment .confirmation-rental {
    background-color: #fff;
    border-radius: 10px;
    padding: 30px 30px 5px;
    margin-bottom: 30px;
}

.container .payment .confirmation-rental h1 {
    font-size: 1.2rem;
    font-weight: 700;
}

.container .payment .confirmation-rental .header {
    display: flex;
    justify-content: space-between;
    margin: 0;
    color: var(--secondary-300);
    font-size: 0.9rem;
    margin-top: 10px;
    margin-bottom: 20px;
}

.container .payment .confirmation-rental .input-field-checkbox {
    padding-right: 17px;
    background-color: rgba(246, 247, 249, 1);
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 10px;
    padding: 15px 0;
    margin-bottom: 15px;
}

.container .payment .confirmation-rental .input-field-checkbox input {
    width: 17px;
    height: 17px;
    margin-left: 20px;
    cursor: pointer;
}

.container .payment .confirmation-rental .input-field-checkbox .input label {
    font-size: 1rem;
    color: var(--secondary-500);
    font-weight: 600;
    position: relative;
    bottom: 3px;
    left: 10px;
    cursor: pointer;
    display: inline-block;
}

.container .payment .confirmation-rental .input-field-checkbox img {
    margin-right: 20px;
}

.container .payment .confirmation-rental button {
    background-color: var(--primary);
    display: block;
    border: none;
    color: #fff;
    font-size: 1rem;
    padding: 17px 25px;
    border-radius: 10px;
    margin-top: 30px;
    cursor: pointer;
    transition: 300ms;
}

.container .payment .confirmation-rental button:hover {
    scale: 0.95;
}

.container .payment .confirmation-rental img{
    margin: 25px 0;
}

.container .payment .confirmation-rental h2 {
    color: var(--secondary-500);
    font-weight: 600;
    font-size: 1rem;
}

.container .payment .confirmation-rental p {
    color: var(--secondary-300);
    font-size: 0.9rem;
    font-weight: 500;
    margin: 20px 0;
}

/* Rental Summary */

.container .rental-summary {
    background-color: #fff;
    border-radius: 10px;
    width: 35%;
    padding: 25px 25px 10px;
    box-sizing: border-box;
    height: 100%;
}

.container .rental-summary h2 {
    font-size: 1.2rem;
    font-weight: 700;
    color: var(--secondary-500);
    margin-bottom: 15px;
}

.container .rental-summary h3 {
    color: var(--secondary-300);
    font-size: 0.9rem;
    font-weight: 500;
    line-height: 1.3rem;
}

.container .rental-summary .row {
    margin: 35px 0;
    display: flex;
}

.container .rental-summary .row .col {
    margin-right: 20px;
}


.container .rental-summary .row .col h1 {
    margin-top: 20px;
    font-size: 2rem;
    color: var(--secondary-500);
    font-weight: 700;
    margin-bottom: 15px;
}

.container .rental-summary .row .col .star {
    margin-right: 5px;
    margin-bottom: -3px;
}

.container .rental-summary .col span {
    font-size: 0.9rem;
    color: var(--secondary-400);
    font-weight: 500;
}

.container .rental-summary .line {
    height: 2px;
    background-color: rgba(195, 212, 233, 0.4);
    width: 100%;
}

.container .rental-summary .total {
    margin: 30px 0;
}

.container .rental-summary .total .col-1 {
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
    align-items: center;
}

.container .rental-summary .total .col-2 {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.container .rental-summary .total p {
    font-size: 0.8rem;
    color: var(--secondary-300);
    font-weight: 600;
}

.container .rental-summary .total-price {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.container .rental-summary .total p.price {
    font-size: 1rem;
    color: var(--secondary-500);
    font-weight: 600;
}

.container .rental-summary .apply-now {
    background-color: rgba(246, 247, 249, 1);
    padding: 10px 25px;
    border-radius: 10px;
}

.container .rental-summary .apply-now button {
    float: right;
    border: none;
    background-color: rgba(246, 247, 249, 1);
    font-size: 1rem;
    font-weight: 600;
    color: var(--secondary-500);
    cursor: pointer;
}

.container .rental-summary .apply-now input {
    background-color: rgba(246, 247, 249, 1);
    border: none;
    position: relative;
    bottom: 3px;
    width: 57%;
}

.container .rental-summary .apply-now input:focus {
    outline: none;
}

.container .rental-summary .total-price {
    display: flex;
}

.container .rental-summary .total-price .row {
    display: inline-block;
}

.container .rental-summary .total-price .row h4 {
    font-size: 1.2rem;
    font-weight: 700;
    color: var(--secondary-500);
    margin-bottom: 10px;
}

.container .rental-summary .total-price .row p {
    font-size: 0.9rem;
    font-weight: 500;
    color: var(--secondary-300);
    line-height: 1.3rem;
}

.container .rental-summary .total-price .row h1.total-rental-price {
    font-size: 1.6rem;
    font-weight: 700;
    color: var(--secondary-500);
    position: relative;
    top: 10px;
}

/* Footer */
.footer {
    background-color: #fff;
    padding: 70px 6% 0;
}

.footer .group {
    display: flex;
    justify-content: space-between;
}

.footer .group .logo {
    width: 35%;
}

.footer .group .logo h1 {
    margin-bottom: 20px;
    font-size: 2rem;
    color: var(--primary);
}

.footer .group .logo p {
    font-size: 1rem;
    line-height: 1.4rem;
    color: rgba(19, 19, 19, 0.6);
}

.footer .group .link {
    display: flex;
    width: 45%;
    justify-content: space-between;
    margin-bottom: 40px;
}

.footer .group .link h2 {
    margin-bottom: 30px;
    color: var(--secondary-500);
    font-size: 1.2rem;
    font-weight: 600;
}

.footer .group .link a {
    display: block;
    margin-bottom: 25px;
    text-decoration: none;
    color: rgba(19, 19, 19, 0.6);
    font-size: 1rem;
}

.footer .line {
    height: 1px;
    background-color: var(--secondary-300);
}

.footer .copyright {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    color: var(--secondary-500);
    font-size: 1rem;
    font-weight: 600;
    padding: 35px 0;
}

.footer .copyright p:nth-child(2) {
    margin-right: -400px;
}

.footer .copyright p {
    cursor: pointer;
    margin-bottom: 20px;
}

/* Media Queries */

/* Extra Large */
@media ( max-width: 1200px ){
    html {
        font-size: 90%;
    }
}

/* Laptop */
@media ( max-width: 992px ){
    .footer .copyright p:nth-child(2) {
        margin-right: -200px;
    }

    .content {
        padding: 0 6%;
    }

    .container {
        flex-direction: column;
    }

    .container .payment,
    .container .rental-summary {
        width: 100%;
    }

    .container .payment .billing-info {
        margin-top: 30px;
    }

    .container .payment {
        order: 2;
    }

    .container .rental-summary {
        order: 1;
    }
}

/* Tablet */
@media ( max-width: 768px ){
    .header .top-bar .profile-notification {
        width: 150px;
    }

    .header .top-bar .profile-notification .icon:nth-child(1) {
        display: none;
    }

    .footer .copyright p:nth-child(2) {
        margin-right: -100px;
    }
}

/* Mobile Phone */
@media ( max-width: 576px ){
    html {
        font-size: 82.5%;
    }

    .header .top-bar .profile-notification {
       justify-content: end;
    }

    .header .top-bar .profile-notification .icon:nth-child(2),
    .header .top-bar .profile-notification .icon:nth-child(3) {
        display: none;
    }

    .container .rental-summary .row .col h1 {
        font-size: 1.4rem;
    }
    
    .container .rental-summary .row .col .star {
        scale: 0.8;
        position: relative;
        right: 12px;
    }

    .container .rental-summary .apply-now {
        padding: 10px 15px;
    }

    .container .rental-summary .apply-now input {
        bottom: 0;
    }

    .container .payment .billing-info {
        margin-top: 30px;
    }

    .container .payment .billing-info .input-field {
        display: inline-block;
        width: 100%;
    }

    .container .payment .billing-info .input-field .row {
        width: 100%;
    }
    

    .container .payment .rental-info {
        margin-top: 30px;
    }

    .container .payment .rental-info .input-field {
        display: inline-block;
        width: 100%;
    }

    .container .payment .rental-info .input-field .row {
        width: 100%;
    }
    

    .container .payment .payment-method {
        margin-top: 30px;
    }

    .container .payment .payment-method .input-field {
        display: inline-block;
        width: 100%;
    }

    .container .payment .payment-method .input-field .row {
        width: 100%;
    }

    .container .payment .confirmation-rental .header p:first-child{
        width: 68%;
        line-height: 1.4rem;
    }

    .container .payment .confirmation-rental .header p:last-child{
        top: 5px;
        position: relative;
    }

    .container .payment .confirmation-rental .input-field-checkbox .input label {
        float: right;
        width: 75%;
        line-height: 1.4rem;
        left: -30px;
    }

    .container .payment .confirmation-rental .input-field-checkbox input {
        margin-left: 10px;
        top: 5px;
        position: relative;
    }
    
    .footer .group {
        display: inline-block;
    }

    .footer .group .logo {
        width: 70%;
    }

    .footer .group .link {
        width: 100%;
        flex-wrap: wrap;
        margin-top: 30px;
    }

    .footer .group .link {
        width: 100%;
        flex-wrap: wrap;
        margin-top: 30px;
    }

    .footer .group .link div {
        width: 50%;
    }

    .footer .copyright p:nth-child(1) {
        order: 3;
        width: 100%;
    }

    .footer .copyright p:nth-child(2) {
        order: 1;
    }

    .footer .copyright p:nth-child(3) {
        order: 2;
    }

    .footer .copyright p {
        width: 50%;
    }

    .footer .copyright p:nth-child(3) {
        text-align: right;
    }
}